hashTemplate Tags

Work with template variable tags like #topic and #style

Template tags are placeholders in prompts (e.g., #topic, #style) that can be dynamically replaced with actual values.

Get Template Tags

get

Return all template variable tags inside an elemental (mostly used in prompts).

Tags like: #name, #age, #state

circle-info

Use this endpoint to discover what values need to be provided before calling the prepare endpoint.

Authorizations
x-api-keystringRequired

API Key authentication. Get your key at snackprompt.com/api-keys.

Example: x-api-key: sk-your-api-key-here

Path parameters
elemental_idstringRequired

Elemental ID

Responses
chevron-right
200

List of template tags

application/json
get
/v1/elemental/{elemental_id}/tags
cURL

Prepare Template

post

Return the elemental template with replaced tags.

circle-check

Request Body Format

{
  "#name": "John",
  "#lastname": "Doe",
  "#topic": "artificial intelligence"
}
Authorizations
x-api-keystringRequired

API Key authentication. Get your key at snackprompt.com/api-keys.

Example: x-api-key: sk-your-api-key-here

Path parameters
elemental_idstringRequired

Elemental ID

Body

Key-value pairs where keys are tag names (with

Other propertiesstringOptional
Responses
chevron-right
200

Prepared template with replaced values

application/json
post
/v1/elemental/{elemental_id}/template/prepare

Last updated

Was this helpful?